# insert-macro(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

insert-macro - Insert keyboard macro into buffer

## SYNOPSIS

insert-macro "command"

## DESCRIPTION

insert-macro inserts the named command into the current buffer in the MicroEmacs 2009 macro language, thus enables it to be saved, re-load and therefore re-used at a later date. This is often used in conjunction with start-kbd-macro(2), end-kbd-macro(2) and name-kbd-macro(2). The given command must have been defined either by a keyboard macro or in MicroEmacs 2009 macro code.

## NOTES

The insert-macro provides a good method of identifying unknown low level key codes. Simply record the unknown key as a macro and insert the macro into the scratch buffer. The low level key code appears within the string.

## SEE ALSO

start-kbd-macro(2), name-kbd-macro(2), define-macro(2), execute-file(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>